PAC(8)

NAME
pac - printer/plotter accounting information

SYNOPSIS
pac [-cmrs] [-P printer] [-p price] [name ...]

DESCRIPTION
pac reads the printer/plotter accounting files, accumulating the number of pages (the usual case) or feet (for raster devices) of paper consumed by each user, and printing out how much each user consumed in pages or feet and dollars.

Options and operands available:

-Pprinter
    Accounting is done for the named printer. Normally, accounting is done for the default printer (site dependent) or the value of the environment variable PRINTER is used.

-c  flag causes the output to be sorted by cost; usually the output is sorted alphabetically by name.

-m  flag causes the host name to be ignored in the accounting file. This allows for a user on multiple machines to have all of his printing charges grouped together.

-pprice
    The value price is used for the cost in dollars instead of the default value of 0.02 or the price specified in /etc/printcap.

-r  Reverse the sorting order.

-s  Accounting information is summarized on the summary accounting file; this summarization is necessary since on a busy system, the accounting file can grow by several lines per day.

names
    Statistics are only printed for user(s) name; usually, statistics are printed for every user who has used any paper.

OUTPUT FORMAT
pac formats the output into simple table, using four columns - number of feets or pages (column "pages/feet"), how many copies were made (column "runs"), total price for this print (column "price") and user login with host name (column "login" or "host name and login"). If argument name was not used and hence pac is printing information for all users, a summary line with print totals (runs, pages, price) is appended.

Note that pac on other system might print the price as price per copy.

FILES
/var/account/?acct
    raw accounting files
/var/account/?_sum
    summary accounting files
/etc/printcap
    printer capability data base

SEE ALSO
printcap(5)

HISTORY
The pac command appeared in 4.0BSD.

BUGS
The relationship between the computed price and reality is as yet unknown.